
<br><br>
<?php
  //получаем список нужных файлов из каталога test
  $dr = opendir('../txt');
  while($file = readdir($dr))
  {
    if(strpos($file, $Prefix) !== false)
      $PollFiles[] = $file;
  }
  closedir($dr);
  //если отсутствуют файлы с активными голосованиями - сообщаем об этом и прекращаем работу скрипта
  if(count($PollFiles) == 0)
  {
    print "{$Cpt_NoPolls}</body></html>";
    exit;
  }

  //поочередно помещаем файлы в массив $Arr, затем выбираем из него данные
  $MdInx = 0;
  for($i = (count($PollFiles)-1); $i >= 0; $i--)
  {
    $Arr = file('../txt/'.$PollFiles[$i]);
    //Выбираем данные из массива $Arr и добавляем голосование в многомерный массив $Polls
    $TypeFile = '../txt/'.str_replace('cp', 'type', $PollFiles[$i]);
    $PollsMD[$MdInx]['typefile'] = $TypeFile;
    if(file_exists($TypeFile))
    {
      $TypeArr = file($TypeFile);
      $PollsMD[$MdInx]['type'] = trim($TypeArr[0]);
    } else $PollsMD[$MdInx]['type'] = 'radio';
    for($b = 0; $b < count($Arr); $b++)
      //$Polls[] = $Arr[$i] ;
    {
      if(strpos($Arr[$b], '[quest]') !== false)
    	{
        $PollsMD[$MdInx]['question'] = $Arr[$b];
        $PollsMD[$MdInx]['quest'] = trim(StripBBCode($Arr[$b]));
	      //$PollsMD[$MdInx]['pos'] = $MdInx;
        $PollsMD[$MdInx]['file'] = $PollFiles[$i];
      }
      if(ereg("\[var[0-9a-z]+\]", $Arr[$b]) !== false)
        $PollsMD[$MdInx][$Variants][] = trim(StripBBCode($Arr[$b]));
      if(strpos($Arr[$b], '[show]') !== false)
    	{
	      $PollsMD[$MdInx]['showstatus'] = trim(StripBBCode($Arr[$b]));
	    }
    	if(strpos($Arr[$b], '[protect]') !== false)
	    {
	      $PollsMD[$MdInx]['protect'] = trim(StripBBCode($Arr[$b]));
	    }
      if(strpos($Arr[$b], '[time]') !== false)
	    {
	      $PollsMD[$MdInx]['time'] = trim(StripBBCode($Arr[$b]));
        $MdInx++;
      }
    }
  }

  /* foreach($PollsMD[0] as $key => $value)
    print $key." - ".$value."<br>"; */
  if($Prefix == 'cp')
    $Cpt_PollsTitle = $Heading_CurrentPoll; else $Cpt_PollsTitle = $Heading_PollArchive;
  print "<h4>{$Cpt_PollsTitle}</h4>";
  if($ShowTips == 'yes')
    ShowTips($Page);
  foreach($PollsMD as $key => $value)
  {

    //Инициализируем переменные
    $File = $value['file'];
    $Time = $value['time'];
    //определяем длину вопроса
    $QuestLength = strlen($value['question']);

    //Определяем место (архив или текущие голосования)
    if($Prefix == 'cp')
      $TmpPlace = 'incurrent';
    elseif($Prefix == 'arch')
      $TmpPlace = 'inarchive';

    //Подсчитываем общее число проголосовавших
    for($i = 1; $i < count($value[$Variants]); $i = $i + 2)
      $Total = $Total + (int)$value[$Variants][$i];
    //Подсчитываем 1%
    if($Total != 0)
      $_1Percent = 100 / $Total; else $_1Percent = 0;
    //Подсчитываем rowspan для колонки с опциями
    if(count($value[$Variants]) != 0)
      $RowSpan = (count($value[$Variants]) / 2) + 1;
//Выводим таблицу голосования
    print "<form name=form{$key}>";
    print "<table class=PollTable align=center border=1 cellspacing=0 cellpadding=0 width=80%>";
      //вопрос
      print "<tr>";
        print "<td colspan=2><i>{$Cpt_cp_Question}</i> <span class=Question>{$value['quest']}</span></td>";
      print "</tr>";
      //защита от накрутки
      print "<tr>";
        //устанавливаем выделенный элемент списка
        if($value['protect'] == 'ord')
          $OrdChecked = 'selected';
        elseif($value['protect'] == 'pswrdall')
          $PswrdAllChecked = 'selected';
        elseif($value['protect'] == 'pswrdeach')
          $PswrdEachChecked = 'selected';
        print "<td width=160><i>{$Cpt_Protection}:</i></td><td ><select class=PollSelect name='ProtSelect{$key}'>
                                             <option value = ord {$OrdChecked}> {$Opt_Standard}
                                             <option value = pswrdall {$PswrdAllChecked}> {$Opt_OnePasswForAll}
                                             <option value = pswrdeach {$PswrdEachChecked}> {$Opt_LoginAndPasswForEach}
                                           </select>
                   <a href=# onClick=location.href='index.php?page=changeprotectmode{$TmpPlace}&file={$File}&mode='+document.form{$key}.ProtSelect{$key}.value>{$Cpt_ChangeProt}</a>
               </td>";
        //обнуляем переменные
        $OrdChecked = ''; $PswrdAllChecked = ''; $PswrdEachChecked = '';
      print "</tr>";
      //тип голосования: radio - checkbox
      print "<tr>";
      if($value['type'] == 'checkbox')
          $CheckboxChecked = 'selected';
      if($value['type'] == 'radio')
          $RadioChecked = 'selected';
      print "<td><i>{$Cpt_PollType}:</i></td><td>
                                           <select name='TypeSelect{$key}'class=PollSelect>
                                             <option value = radio {$RadioChecked}> {$Opt_Radio}
                                             <option value = checkbox {$CheckboxChecked}> {$Opt_Checkbox}
                                           </select>
                   <a href=# onClick=location.href='index.php?page=changepolltype{$TmpPlace}&file={$value['typefile']}&type='+document.form{$key}.TypeSelect{$key}.value>{$Cpt_ChangeProt}</a>
               </td>";
      $RadioChecked = ''; $CheckboxChecked = '';
      print "</tr>";
      //дата создания голосования
      $PollDate = strftime("%d %b %Y %H:%M:%S", $value['time']);
      $PollDate = TranslateMonths($PollDate, $Lng);
      print "<tr>";
        print "<td colspan=2><i>{$Cpt_created}</i> {$PollDate}</td>";
      print "</tr>";
    print "</table>";
    print "<table class=PollTable align=center border=1 cellspacing=0 cellpadding=0 width=80%>";
      //Варианты ответа (шапка)
      print "<tr>";
        print "<td><i>{$Cpt_cp_Variant}</i></td>";
        print "<td width=100 align=center><i>{$Cpt_Voted}</i></td>";
        print "<td width=40 align=center><i>%</i></td>";
        //выводим опции
        print "<td width=100 rowspan={$RowSpan}>";
          //скрыть/отобразить (currentpoll)
          //if($Page == 'currentpoll')
          {
          	//скрыть
	          if($value['showstatus'] == 1)
	            print "<a href='index.php?page=hideitem{$TmpPlace}&file={$File}&showstatus=0' title='{$Title_Hide}'>{$Cpt_HidePoll}</a><br>";
	          //отобразить
	          elseif($value['showstatus'] == 0)
	            print "<a class=mustred href='index.php?page=showitem{$TmpPlace}&file={$File}&showstatus=1' title='{$Title_Show}'>{$Cpt_ShowPoll}</a><br>";
          }
          //удалить (pollarchive)
          //if($Page == 'pollarchive')
          print "<a href='index.php?page=deleteitem&file={$File}&time={$Time}&total={$Total}' title='{$Title_Delete}'>{$Cpt_DeletePoll}</a><br>";
          //редактировать
          print "<a href='index.php?page=editpoll{$TmpPlace}&file={$File}' title='{$Title_EditPoll}'>{$Cpt_EditPoll}</a><br>";
          //отправить в архив
          if($Page == 'currentpoll')
            print "<a href='index.php?page=toarchive&file={$File}' title='{$Title_ToPollArchive}'>$Cpt_ToPollArchive</a><br>";
          if($Page == 'pollarchive')
            print "<a href='index.php?page=tocurrent&file={$File}' title='{$Title_ToCurrentPoll}'>$Cpt_ToCurrentPoll</a><br>";
          //один пароль для всех
          if($value['protect'] == 'pswrdall')
            print "<a class='Mustred' href='index.php?page=ch_password&pswdfile=pswd{$value['time']}&questlength={$QuestLength}' title='настройка режима один пароль для всех'>{$Cpt_ToPasswordInt}</a><br>";
          //логин и пароль для каждого
          if($value['protect'] == 'pswrdeach')
            print "<a class=Mustred href='index.php?page=ch_passwords&pswdfile=pswds{$value['time']}&questlength={$QuestLength}' title='настроить режим логин и пароль для каждого'>{$Cpt_ToPasswordsInt}</a><br>";
          if($value['type'] == 'checkbox')
            print "<a class=Mustred href='index.php?page=checkboxset{$TmpPlace}&pswdfile=pswds{$value['time']}&questlength={$QuestLength}' title='настроить минимальное и максимальное количество вариантов ответа, которые может выбрать пользователь'><span class = mustred>{$Cpt_chbx_VarLimit}</span></a><br>";
        print "</td>";

      print "</tr>";
      //Выводим вариант ответа, количество проголосовавших и проценты
      for($i = 0; $i < count($value[$Variants]); $i = $i + 2)
      {
        $Variant = $value[$Variants][$i];
        $Voted = $value[$Variants][($i+1)];
        $Percentage = $_1Percent * $Voted;
        $Percentage = round($Percentage, 2);
        print "<tr>";
          print "<td>{$Variant}</td>";
          print "<td align=center>{$Voted}</td>";
          print "<td align=center>{$Percentage}%</td>";
        print "</tr>";
      }
    print "</table>";
    //Общее число голосов
    print "<table align=center border=1 cellspacing=0 cellpadding=0 width=80%>";
      print "<tr>";
        print "<td class=PollTable><i>{$Cpt_Total}</i> {$Total}</td>";
        //поднять голосование
        if($key != 0)
          print "<td width=20 bgcolor=#BFC2C3><a href=index.php?page=uppoll{$TmpPlace}&file={$File}><img src='../img/up.png' width=20 height=20 border=0></a></td>";
        else print "<td width=20 bgcolor=#BFC2C3>&nbsp;</td>";
        //опустить голосвоание
        if($key != (count($PollsMD)-1))
          print "<td width=20 bgcolor=#BFC2C3><a href=index.php?page=downpoll{$TmpPlace}&file={$File}><img src='../img/down.png' width=20 height=20 border=0></a></td>";
        else print "<td width=20 bgcolor=#BFC2C3>&nbsp;</td>";
      print "</tr>";
    print "</table>";
    print "</form>";
    print "<br>";
    $Total = 0;
  }

?>